Index: TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CooccurrencesPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CooccurrencesPreferencePage.java	(revision 3825)
+++ TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CooccurrencesPreferencePage.java	(revision 3826)
@@ -80,7 +80,7 @@
 		IntegerFieldEditor maxrightfield = new IntegerFieldEditor(CooccurrencePreferences.MAX_RIGHT, CooccurrenceUIMessages.maximumRight, getFieldEditorParent());
 		maxrightfield.setValidRange(0, 99999);
 		
-		StringFieldEditor milestonesfield = new StringFieldEditor(CooccurrencePreferences.MILESTONE_STRUCTURES_TO_IGNORE, "Milestone structures list (comma separated)", getFieldEditorParent());
+		StringFieldEditor milestonesfield = new StringFieldEditor(CooccurrencePreferences.MILESTONE_STRUCTURES_TO_IGNORE, CooccurrenceUIMessages.MilestoneStructuresListCommandSeparated, getFieldEditorParent());
 		
 		BooleanFieldEditor partiallexicaltablefield = new BooleanFieldEditor(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, CooccurrenceUIMessages.usePartialLexicalTable, getFieldEditorParent());
 		
Index: TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/messages.properties	(revision 3825)
+++ TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/messages.properties	(revision 3826)
@@ -9,6 +9,7 @@
 maximumLeft=Maximum left
 maximumRight=Maximum right
 meanDistance=Mean distance
+MilestoneStructuresListCommandSeparated=Milestone structures list (comma separated)
 minimumCooccurrencyCountThreshold=Minimum co-frequency of cooccurrents
 minimumCooccurrencyScoreThreshold=Minimum score of cooccurrents
 minimumFrequencyThresholdOfTheCooccurrent=Minimum frequency of cooccurrents
Index: TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java	(revision 3825)
+++ TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java	(revision 3826)
@@ -36,7 +36,9 @@
 	public static String cmin; 
 	public static String score_2; 
 	public static String cooccurrent; 
-	public static String meanDistance; 
+	public static String meanDistance;
+
+	public static String MilestoneStructuresListCommandSeparated; 
 	
 	public static String wordWindow; 
 	public static String structureWindow; 
Index: TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 3825)
+++ TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 3826)
@@ -347,7 +347,7 @@
 		
 		viewer.setLabelProvider(new LineLabelProvider());
 		viewer.setContentProvider(new LineContentProvider());
-		viewer.getTable().setToolTipText("");
+		viewer.getTable().setToolTipText(""); //$NON-NLS-1$
 		viewer.addPostSelectionChangedListener(new ISelectionChangedListener() {
 			
 			@Override
@@ -554,7 +554,7 @@
 		
 		Double minScore = 0.0;
 		try {
-			Double d = Double.parseDouble(this.minScore.getText().replace(",", "."));
+			Double d = Double.parseDouble(this.minScore.getText().replace(",", ".")); //$NON-NLS-1$ //$NON-NLS-2$
 			minScore = d;
 		}
 		catch (Exception e) {
Index: TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/EmpantWidget.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/EmpantWidget.java	(revision 3825)
+++ TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/EmpantWidget.java	(revision 3826)
@@ -329,7 +329,7 @@
 	private void loadStructs() {
 		try {
 			java.util.List<StructuralUnit> corpusstructuralunits = corpus.getOrderedStructuralUnits();
-			HashSet<String> suToIgnore = new HashSet<>(Arrays.asList(CooccurrencePreferences.getInstance().getString(CooccurrencePreferences.MILESTONE_STRUCTURES_TO_IGNORE).split(",")));
+			HashSet<String> suToIgnore = new HashSet<>(Arrays.asList(CooccurrencePreferences.getInstance().getString(CooccurrencePreferences.MILESTONE_STRUCTURES_TO_IGNORE).split(","))); //$NON-NLS-1$
 			for (StructuralUnit su : corpusstructuralunits) {
 				//if (!su.getName().equals("text") && !su.getName().equals("txmcorpus")) { //$NON-NLS-1$ $NON-NLS-2$
 				if (!suToIgnore.contains(su.getName())) { //$NON-NLS-1$ $NON-NLS-2$
@@ -337,8 +337,8 @@
 				}
 			}
 			if (corpusstructuralunits.size() > 0) {
-				int pi = Arrays.binarySearch(structs.getItems(), "p");
-				int si = Arrays.binarySearch(structs.getItems(), "s");
+				int pi = Arrays.binarySearch(structs.getItems(), "p"); //$NON-NLS-1$
+				int si = Arrays.binarySearch(structs.getItems(), "s"); //$NON-NLS-1$
 				if (pi > 0) {
 					structs.select(pi);
 				} else if (si > 0) {
